package org.eco.als.domain.bo;

import org.eco.als.domain.Communication;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 通讯管理业务对象 als_communication_t
 *
 * @author wgk
 * @date 2024-12-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Communication.class, reverseConvertGenerate = false)
public class CommunicationBo extends BaseEntity{
    /**
     * 编号
     */
    @NotNull(message = "编号不能为空")
    private Long id;

    /**
     * 名称
     */
    @NotBlank(message = "名称不能为空")
    private String name;

    /**
     * IP地址
     */
    @NotBlank(message = "IP地址不能为空")
    private String ipAddress;

    /**
     * 网段
     */
    @NotBlank(message = "网段不能为空")
    private String networkSegment;

    /**
     * 子网掩码
     */
    @NotBlank(message = "子网掩码不能为空")
    private String subnetMask;

    /**
     * DNS
     */
    @NotBlank(message = "DNS不能为空")
    private String dns;

    /**
     * 网关
     */
    @NotBlank(message = "网关不能为空")
    private String gateway;

    /**
     * http
     */
    @NotBlank(message = "http不能为空")
    private String http;

    /**
     * 端口号
     */
    @NotBlank(message = "端口号不能为空")
    private String port;

    /**
     * 用户名
     */
    @NotBlank(message = "用户名不能为空")
    private String userName;

    /**
     * 密码
     */
    @NotBlank(message = "密码不能为空")
    private String password;


}
